%global debug_package %{nil}

Summary:        IrRegular Expressions
Name:           irregex
Version:        0.9.10
Release:        1%{?dist}
Source0:        https://github.com/ashinn/irregex/archive/%{?version}.tar.gz
URL:            http://synthcode.com/scheme/irregex/
License:        BSD


BuildRequires:  guile22-devel

%description
A fully portable and efficient R[4567]RS implementation of regular
expressions, supporting both POSIX syntax with various (irregular)
PCRE extensions, as well as SCSH's SRE syntax.  DFA matching is used
when possible, otherwise a closure-compiled NFA approach is used.

%prep
%autosetup


%build
guild2.2 compile -Wunbound-variable -Warity-mismatch -Wformat -o "irregex.go" "irregex.scm"


%install

mkdir -m 755 -p %{buildroot}%{_datadir}/guile/site/2.2/rx/source/
mkdir -m 755 -p %{buildroot}%{_libdir}/guile/2.2/ccache/
install -m 644 irregex.scm %{buildroot}%{_datadir}/guile/site/2.2/rx/source/
install -m 644 irregex-guile.scm %{buildroot}%{_datadir}/guile/site/2.2/rx/irregex.scm
install -m 644 irregex.go %{buildroot}%{_libdir}/guile/2.2/ccache/


%files
%doc README
%{_datadir}/guile/site/2.2/
%{_libdir}/guile/2.2/ccache/


%changelog
* Fri Aug 18 2023 Mairi Dulaney <mairi@seattlebus.space> - 0.9.10
- Update to latest release.

* Thu Mar 23 2017 Mairi Dulaney <jdulaney@Fedoraproject.org> - 0.9.6
- Initial packaging.
